package com.dxhy.common.util;

import com.dxhy.api.model.config.Tax;

import java.util.ArrayList;
import java.util.List;

/**
 * 根据业务处理把用户信息处理成需要的形式
 *
 * @author jiaohongyang
 * @date 2019年5月18日
 */
public class UserInfoUtil {

    /**
     * 把登录人的公司信息转换成购方税号列表，用于数据库查询
     *
     * @param org
     *            机构信息
     *
     *
     */
    public static List<String> getGfshAll(List<Tax> org) {
        List<String> gfshList = new ArrayList<>();
        if (org != null && org.size() > 0) {
            for (Tax tax : org) {
                String taxno = tax.getTaxno();
                gfshList.add(taxno);
            }
        }
        return gfshList;
    }

    /**
     * 把登录人的公司信息转换成购方名称列表，用于业务操作
     *
     * @param org
     *            机构信息
     *
     *
     */
    public static List<String> getGfmcAll(List<Tax> org) {
        List<String> gfshList = new ArrayList<>();
        if (org != null && org.size() > 0) {
            for (Tax tax : org) {
                String taxno = tax.getTaxname();
                gfshList.add(taxno);
            }
        }
        return gfshList;
    }
}
